AsterNet Class Library (Sandcastle documentation)

| GeneralMappingStrategy Class

A MappingStrategy that is configured via a an XML file or used by passing in a single or list of SciptMapping This is useful as a general mapping strategy, rather than using the default Resource Reference method.
Inheritance Hierarchy
System
Object
AsterNET.FastAGI.MappingStrategies
GeneralMappingStrategy

Namespace: AsterNET.FastAGI.MappingStrategies
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class GeneralMappingStrategy : IMappingStrategy

    Public Class GeneralMappingStrategy
    	Implements IMappingStrategy

    public ref class GeneralMappingStrategy : IMappingStrategy

    type GeneralMappingStrategy =
        class
            interface IMappingStrategy
        end

The GeneralMappingStrategy type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| GeneralMappingStrategy | Initializes a new instance of the GeneralMappingStrategy class
| GeneralMappingStrategy(String) | Initializes a new instance of the GeneralMappingStrategy class
| GeneralMappingStrategy(List ScriptMapping ) | Initializes a new instance of the GeneralMappingStrategy class

Top
Methods

| Name | Description
--- | --- | ---
| DetermineScript |
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| Load |
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
See Also

#### Reference

AsterNET.FastAGI.MappingStrategies Namespace